// import { fetchTeam, fetchTeamLeads } from "@/app/api/Team";
import React from "react";
import TeamSearch from "./TeamSearch";
import TeamSearchLoading from "./TeamSearchLoading";
import { fetchTeam } from "@/app/api/team";
// import { preloadTeam } from "@/app/api/Team";

interface SubComponents {
  Loading: typeof TeamSearchLoading;
}

const TeamSearchWrapper: React.FC & SubComponents = async () => {
  const Team = await fetchTeam();
  console.log(Team);

  return <TeamSearch team={Team} />;
};

TeamSearchWrapper.Loading = TeamSearchLoading;

export default TeamSearchWrapper;
